Bug 214862 - Time to live (TTL) on some multicast packets incorrect using ipv6 module
Summary: Time to live (TTL) on some multicast packets incorrect using ipv6 module
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.3
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Neil Horman
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-09 19:38 UTC by Philip N. Brazell
Modified: 2007-12-10 16:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 16:07:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philip N. Brazell 2006-11-09 19:38:02 UTC
Description of problem: 
We have a local daemon process that publishes multicast heartbeats on 
224.101.15.34.  The ttl is hard coded into the application(JAVA) and set at 
12.  If the IPV6 module is enabled the multicast packets TTL field as 
discovered with ethereal is set to 1.  If we turn off the IPV6 module using
alias net-pf-10 off in the modprobe.conf file the ttl is then set to 15 which 
still is not correct but it allows the packet to get past the router.

Version-Release number of selected component (if applicable):
RHEL 4 Update 3, Fedora Core 3 - 5

How reproducible:
Always

Steps to Reproduce:
1. Start the daemon process
2. Use Ethereal to sniff outbound traffic on eth0 of the box the daemon is 
running on
3. Watch the outbound packet leave eth0 and expand the IP header
4. See TTL set to 1
5. Make change listed above to the modprobe.conf - reboot
6. repeat steps 1-3
7. See TTL set to 15
8. Go to distant end (other subnet) see mcast packets arrive as expected  

Actual results:
Ethereal discovers TTL set to 1

Expected results:
Ethereal discovers TTL set to 12 (per the hard coding in the application)

Additional info:
Could find nothing in bugzilla.  Not sure what module this belongs in.

Comment 1 Martin Bacovsky 2007-04-06 07:09:22 UTC
Changing component

Comment 2 Neil Horman 2007-06-04 20:29:30 UTC
Can you test on the lastest kernel update (4.5) and indicate if the problem
still occurs?  Thanks!

Comment 3 Philip N. Brazell 2007-06-04 20:57:48 UTC
Will do.

Comment 4 Neil Horman 2007-08-08 19:54:39 UTC
ping.  any update?

Comment 5 Neil Horman 2007-08-29 14:45:00 UTC
again, ping.  Any update?

Comment 6 Neil Horman 2007-12-10 16:07:06 UTC
closing. no response


Note You need to log in before you can comment on or make changes to this bug.